<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.clients.web.Base"
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="net.sf.basedb.util.Values"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, "net.sf.basedb.reggie", true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="default" >
<base:head 
	scripts="~../reggie-2.js,~install.js" 
	styles="path.css,table.css,~../css/reggie-2.css"
	>

<style>
.report
{
	width: 100%;
	border-collapse: collapse;
}

.report .itemTypeCol
{
	width: 18em;
	overflow: hidden;
	text-overflow: ellipsis;
}

.report .iconCol
{
	width: 20px;
}
.report .statusCol
{}

.report td
{
	padding: 2px;
}

.report .newitemtype 
{
	border-top-width: 1px;
	border-bottom-width: 1px;
	font-weight: bold;
}

.report tbody:first-child .newitemtype
{
	border-top-width: 0;
}

.report .sameitemtype 
{
	border-top-width: 1px;
	border-bottom-width: 1px;
	border-style: dotted;
}

.report .sameitemtype > td:first-child
{
	padding-left: 1em;
}

.report .check-not-ok
{
	font-weight: bold;
}

.report .sameitemtype.PLUGINCONFIGURATION > td:first-child
{
	padding-left: 2.5em;
	font-style: italic;
}

.report td 
{
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
}

#workInProgress
{
	top: auto; 
	height: 8em; 
	left: 1em; 
	right: 1em;
}

#workInProgress.working
{
	top: 0;
	bottom: 0;
}
</style>
</base:head>
<base:body>

	<p:path><p:pathelement 
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="Installation wizard" 
		/></p:path>

	<div class="content" id="wizard">

		<div class="absolutefull" style="width: 33%; bottom: 8em;">
			<div id="validationResult0" class="absolutefull topborder rightborder bottomborder" 
				style="right: 0.5em; display: none;">
			</div>
		</div>
		
		<div class="absolutefull" style="width: 33%; bottom: 8em; left: 33%;">
			<div id="validationResult1" class="absolutefull fullborder" 
				style="left: 0.5em; right: 0.5em; display: none;">
			</div>
		</div>

		<div class="absolutefull" style="width: 34%; bottom: 8em; left: auto;">
			<div id="validationResult2" class="absolutefull topborder bottomborder leftborder" 
				style="left: 0.5em; display: none;">
			</div>
		</div>

		<div class="absolutefull working" id="workInProgress">
			<div id="createMissingItems" style="display:none; margin-top: 1em;">
				<base:buttongroup>
				<base:button id="btnCreateMissingItems" title="Create missing items" image="add.png" />
				</base:buttongroup>
			</div>
		
			<div id="fixIncompleteItems" style="display:none; margin-top: 1em;">
				<base:buttongroup>
				<base:button id="btnFixItems" title="Fix items" image="fixit.png" />
				</base:buttongroup>
			</div>
			
			<div id="wizard-status"></div>
		</div>
	
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>