<%@ page 
	pageEncoding="UTF-8"
	session="false"
	isErrorPage="true"
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.core.NotLoggedInException"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%
	// Get the underlying exception
	Throwable ex = exception;
	if (ex instanceof org.apache.jasper.JasperException)
	{
		org.apache.jasper.JasperException jex = (org.apache.jasper.JasperException)ex;
		if (jex.getRootCause() != null) ex = jex.getRootCause();
	}
	String currentPage = (String)request.getAttribute("javax.servlet.error.request_uri");
	boolean canRedirectToIndex = currentPage == null || !currentPage.endsWith("delivery/index.jsp");
	
	if (ex instanceof NotLoggedInException && canRedirectToIndex)
	{
		response.sendRedirect("index.jsp");
		return;
	}
%>
<base:page type="iframe" noskin="true" title="Ett oväntat fel har inträffat">
<base:head 
	styles="~delivery.css" 
	>
	<style>
	.content
	{
		font-size: 1.5rem;
		margin: 1rem 2rem;
		border-width: 2px;
		border-radius: 0.5rem 0.5rem;
		text-align: center;
	}
	
	h1
	{
		background-color: #E8E8E8;
		border-bottom-width: 2px;
		font-size: 2rem;
		color: #000000;
		padding: 0.5rem 1.5rem;
		border-radius: 0.25rem 0.25rem 0 0;
	}
	
	.error-text
	{
		margin: 1rem;
		font-size: 1.25rem;
		color: #C80000;
	}
	</style>
</base:head>
	
<base:body>
	<div class="content">
		<h1>Ett oväntat fel har inträffat</h1>
		<div class="error-text">
			<%=HTML.encodeTags(ex.getMessage()) %>
		</div>
	</div>
</base:body>
</base:page>