<%@ page
	pageEncoding="UTF-8"
	session="false"
	errorPage="error-page.jsp"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
%>
<base:page type="iframe" noskin="true" title="SCAN-B Inlogging">
<base:head styles="~delivery.css" scripts="~../reggie-2.js,~login.js">
<style>
#login
{
	margin: auto;
	margin-top: 15rem;
	margin-top: 25vh;
	width: 35em;
	font-size: 2rem;
}

#login form
{
	background-color: #E8E8E8;
	border-width: 2px;
	border-radius: 0.5rem 0.5rem;
}

#login table
{
	width: 100%;
}

#login tr.header
{
	border-bottom-width: 2px;
	font-size: 3rem;
}

#login th, #login td
{
	padding: 0.5rem 2rem;
	text-align: left;
}

#login th
{
	width: 10rem;
}

#username, #password
{
	width: 20rem;
}

#yubikey
{
	width: 100%;
}

input
{
	background-position: calc(100% - 0.4rem) 50%;
	background-repeat: no-repeat;
}

input::-ms-clear 
{
    display: none;
}

input.not-empty
{
	background-image: url('images/ok-26.png');
}

input.not-valid
{
	background-image: url('images/not-valid-26.png');
	border-color: #C80000;
	box-shadow: 0px 0px 3px;
}

#btnHelp
{
	float: right;
}

#btnLogin
{
	float: right;
	margin-top: 1rem;
	margin-right: 1rem;
}

#message
{
	text-align: center;
	font-style: italic;
	margin-bottom: 1rem;
}

.login-failed
{
	margin-top: 0.5rem;
	font-size: 1.25rem;
	color: #C80000;
}

label
{
	text-decoration: none;
	color: inherit;
}
label:hover
{
	text-decoration: none;
}
</style>
</base:head>
<base:body>

	<div id="login">
		<div id="message">Välkommen!</div>
			
		<form name="login">
		<table>
		<tr class="header">
			<th colspan="2">SCAN-B Inloggning</th>
		</tr>
		<tr>
			<th><label for="username">Användarnamn</label></th>
			<td><input 
				type="text" name="username" id="username"
				class="auto-init" 
				data-auto-init="focus-on-enter" 
				data-next-focus="password">
			</td>
		</tr>
		<tr>
			<th><label for="password">Lösenord</label></th>
			<td><input 
				type="password" name="password" id="password"
				class="auto-init" 
				data-auto-init="focus-on-enter" 
				data-next-focus="yubikey">
			</td>
		</tr>
		<tr>
			<th><label for="yubikey">YubiKey</label></th>
			<td><input 
				type="text" name="yubikey" id="yubikey" 
				autocomplete="off">
			</td>
		</tr>
		</table>
		</form>
		
		<base:button id="btnLogin" title="Logga in" image="<%=home+"/delivery/images/login-32.png"%>" />


		<div id="wizard-status"></div>
	</div>

</base:body>
</base:page>
